%define srcname pyparted
# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python_sitearch}/.*\\.so\\|%{python3_sitearch}/.*\\.so

Summary: 	Python module for GNU parted
Name:    	python-parted
Version: 	3.10
Release: 	%mkrel 7
License: 	GPLv2+
Group:   	System/Libraries
URL:     	http://fedorahosted.org/pyparted
Source0: 	http://fedorahosted.org/releases/p/y/%{srcname}/%{srcname}-%{version}.tar.gz

BuildRequires: 	python-devel
BuildRequires: 	parted-devel >= 2.3
BuildRequires: 	pkgconfig
Provides:	%{srcname} = %{version}-%{release}

%description
Python module for the parted library.  It is used for manipulating
partition tables.

%files
%doc AUTHORS BUGS COPYING ChangeLog NEWS README TODO
%{python_sitearch}/*.so
%{python_sitearch}/parted
%{python_sitearch}/*info

#------------------------------------------------------------------------------

%prep
%setup -q -n %{srcname}-%{version}

%build
%{__python} setup.py build 

%install
%{__python} setup.py install --root %{buildroot}

# Remove .la file
%__rm -rf %{buildroot}%{python_sitearch}/*.la




%changelog
* Wed Oct 15 2014 umeabot <umeabot> 3.10-7.mga5
+ Revision: 750516
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 3.10-6.mga5
+ Revision: 729309
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 3.10-5.mga5
+ Revision: 688203
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 3.10-3.mga4
+ Revision: 543791
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 3.10-2.mga4
+ Revision: 499082
- Rebuild to add different pythonegg provides for python 2 and 3

* Sat Oct 05 2013 philippem <philippem> 3.10-1.mga4
+ Revision: 491783
- Update to 3.10

* Sun Jan 13 2013 umeabot <umeabot> 3.8-3.mga3
+ Revision: 379235
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 03 2012 fwang <fwang> 3.8-2.mga3
+ Revision: 278238
- rebuild for new gparted

* Mon Jul 11 2011 dams <dams> 3.8-1.mga2
+ Revision: 122222
- use python ./setup.py as no longuer ./configure provided
- Update to 3.8

* Tue Jun 14 2011 mikala <mikala> 3.6-1.mga2
+ Revision: 106198
- imported package python-parted

